#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Algorithm
%define		pnam	Diff
Summary:	Algorithm::Diff - compute `intelligent' differences between two files / lists
Summary(pl.UTF-8):	Algorithm::Diff - ,,inteligentne'' znajdowanie różnic pomiędzy dwoma plikami / listami
Name:		perl-Algorithm-Diff
Version:	1.1903
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Algorithm/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0e8add21a641b8d66436df0c2024bf3b
URL:		http://search.cpan.org/dist/Algorithm-Diff/
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Algorithm::Diff finds differences between two files, two strings, or
any other two lists of things. It uses an intelligent algorithm
similar to (or identical to) the one used by the Unix `diff' program. 
It is guaranteed to find the *smallest possible* set of differences.

%description -l pl.UTF-8
Algorithm::Diff wyszukuje różnice pomiędzy dwoma plikami, łańcuchami
lub dwiema innymi listami. korzysta on z inteligentnego algorytmu
podobnego do (lub identycznego) używanego przez uniksowy program
,,diff''. Zagwarantowane jest znalezienie *najmniejszego możliwego*
zbioru różnic.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{perl_vendorlib}/Algorithm/cdiff.pl
%attr(755,root,root) %{perl_vendorlib}/Algorithm/diff.pl
%attr(755,root,root) %{perl_vendorlib}/Algorithm/diffnew.pl
%attr(755,root,root) %{perl_vendorlib}/Algorithm/htmldiff.pl
%{perl_vendorlib}/Algorithm/Diff.pm
%{perl_vendorlib}/Algorithm/DiffOld.pm
%{_mandir}/man3/Algorithm::Diff.3pm*
%{_mandir}/man3/Algorithm::DiffOld.3pm*
%changelog
* Sun Jul 02 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Algorithm-Diff.git;a=log;h=master

* Sun Jul 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 3403830
- updated to 1.1903

* Mon Mar 03 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> d330ad4
- rel.3

* Tue Dec 18 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c4f8e4
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a204d1d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 28ec9ab
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> a862a36
- updated to 1.1902

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> fe35918
- formatting

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> bbc3628
- release 6

* Sat Jun 05 2004 radek <radek@pld-linux.org> 7a79ae8
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> e7bf8bb
- rel. 5

* Thu May 06 2004 ankry <ankry@pld-linux.org> 324c22a
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> ccf03fd
- cosmetics: unification

* Sat Apr 17 2004 ankry <ankry@pld-linux.org> a663cbb
- better description

* Tue Mar 09 2004 Adam Gołębiowski <adamg@pld-linux.org> 6417539
- new style bconds

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> fcf8d4f
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> af71baa
- mass commit: cosmetics (removed trailing white spaces)

* Wed Jun 11 2003 Jakub Bogusz <qboosh@pld-linux.org> 4800d50
- added missing man pages, release 4

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 68f1d4e
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> b8153fb
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 7c6930a
- BR: perl-devel; do not BR: perl

